//-------------------------------------------------------------------
// Projet :		M2
// Fichier :	dcxxctlg.ctl
// Rfrence  :	DCXX
//--------------------------------------------------------------------
// Copyright :	(c) Crouzet Automatismes, 2002
//--------------------------------------------------------------------
// Contenu :	CATALOGUE DES MATERIELS M2
//--------------------------------------------------------------------
// Date			Version		Nom			
// 20/03/02		X.X			JJ.	Bardyn	
// MODIFICATIONS DE LA VERSION 1.5 LIVREE AVEC CLSM2 V 1.1.6
// MODIFICATIONS DECIDEES : REUNION DU 14/03/02 CHEZ MEDIANE SYSTEME
// 	TOUS LES TEXTES SONT EN CARACTERES MAJUSCULES ET SANS ACCENT
//  LE NUMERO CATALOGUE EST UTILISE COMME DISCRIMINANT RA-DE 252
//  LES NOMS DES MATERIELS DEVIENNENT DES COMMENTAIRES
//	LES NOMS DES TEXTES MULTILANGUES SONT DANS DES FICHIERS EXTERNES
//  	( DES NOMS ONT ETE CONSERVES POUR FACILITER LE DEBUG )
//	REGROUPEMENT CONTROLEURS/EXTENTIONS DE DESCRIPTIONS IDENTIQUES
//		DEBUT_EQUIVALENTS ... FIN_EQUIVALENTS
//		LES EQUIVALENTS CONTIENNENT LES NUMEROS INTERNES
//  LES DESCRIPTIONS SONT DANS
//      DEBUT_CARACTERISTIQUES ... FIN_CARACTERISTIQUES
//	UN NUMERO DE CATEGORIE A ETE AJOUTE DANS
//		CATEGORIE_DE_CHOIX ... FIN_CATEGORIE_DE_CHOIX
//	CORRECTION PERFORMANCE TIME SW 2500 MICROSECONDES AU LIEU DE 1 
//   
// 27/03/2002 DEP version x.x->1.5
// 27/03/2002 DEP 
//	Ajout de la ligne "FIN_CATALOGUE_DES_CATEGORIES_DE_CHOIX_M2"
// 27/03/2002 DEP Ajout du type d'extension pour chaque extension  
//				  au debut de la 1ere ligne des caractristiques
// 27/03/2002 DEP Pour les extensions, pas de COMPATIBILITE BIN 
//				mais un NUMGEN FCT EXT + correction pour XC03 (360)
// 27/03/2002 DEP Pour les extensions, correction de V.R Soft
// 05/04/2002 JJB Version 2.01 :  
//				ajout contrleurs et extension 12 volts VDC
// 15/04/2002 JJB Version 2.02
//				EXTENSIONS_CONTIGUES_COMPATIBLES XC01_4EN/2S_24VDC
//				88950219	et non "...210" comme indiqu dans 2.01
// 27/05/2002 JJB Version 2.03
//				Correction V.R DC27 : 1.4
// 09/10/2002 DEP Modele pour la nouvelle version
// 06/11/2002 JJB Versions de travail 2.90 ... 2.99 pour 3.0 finale
// 	Version compatible avec le compteur rapide et les firmwares VDC 
// 	et VAC de Version . Release = 1.5
//	Les controleurs aliments en continu VDC ont toujours le compteur
//	Ceux aliments en alternatif n'ont jamais de compteur rapide
// 30/01/2003 JJB Version 2.92
//	Mise A JOUR version ASSOCIEE A CLSM2 V1.2.2
//	CODES MODFONC : 0 ERREUR/RUF, 1 MODE NORMAL/STANDARD
//					2 MODE COMPTEUR RAPIDE
//	CODES DE LA RACINE DES BINAIRES DU FIRMWARE :
//			DC27_12VDC	DC27_24VDC	DC27_VAC
//	CONSEQUENCE : 
//			LES CONTROLEURS 12VDC ET 24VDC NE SONT PLUS EQUIVALENTS
// 	LE CODE V.I.R DEVIENT 2.1.0
// 02/04/2003 JJB Version 2.93
//	MISE A JOUR VERSION POUR XL06 utilisable avec XT20 et EX20 230VAC
//	IL MANQUE LE CODE INTERNE DU XL06 FIXE A 99
//	Ajout des EX20 24VDC, 230VAC, 24VAC et 24VDC NPN
// 	LA VERSION 2.93 RESTE UNE VERSION DE TEST
//
// 08/04/2003 JJB version 2.94
//	MISE A JOUR CODE INTERNE XL06 = 6
//
// 17/04/03   ACHA  version 2.95   Suppression de la sortie P1 sur l'extension XC Asi RA 369
// 26/05/03   DEP	Passage binaire 1.5->1.6
// 15/09/03	  JJB   version 2.97 Ajout SA12 "LEVEL CONTROL"
// 08/07/04 JJB VERSION //V 2.98 Ajout 
//			SA4R et SA4R2T MOTEUR DRIVE
//			EC4R2T, CN4R2T CLIMA+ et EX20R, EX20S 12VDC
// XL06_2S_100-230VAC devient XL06_2S car utlisable aussi avec 24VAC
//21/09/04 L.HAY    // Ajout CN 28 R 100-240VAC //
//		    // Ajout nouveau Modbus XC04 // version 2.99
//********************************************************************

CATALOGUEM2          DATE 	21/09/04	VERSION  2.99

CATALOGUE_DES_CATEGORIES_DE_CHOIX_M2

//--------------------------------------------------------------------
CATEGORIE_DE_CHOIX	1
	88950041	//SA12_R_24VDC
	88950042	//SA12_S_24VDC
	88950043	//SA12_R_100-240VAC
	88950044	//SA12_R_24VAC
	88950045	//SA12_R_12VDC
	88950046	//SA12_S_12VDC
	88950049	//SA12_RN_24VDC
	88950835	//SA12_R_24VAC-LEVEL-CONTROL
	88950880	//SA_4R_24VDC-MOTOR-DRIVE //V 2.98
FIN_CATEGORIE_DE_CHOIX

//--------------------------------------------------------------------
CATEGORIE_DE_CHOIX	2
	88950021	//EC12_R_24VDC
	88950022	//EC12_S_24VDC	
	88950023	//EC12_R_100-240VAC
	88950024	//EC12_R_24VAC
	88950025	//EC12_R_12VDC
	88950026	//EC12_S_12VDC
	88950029	//EC12_RN_24VDC
FIN_CATEGORIE_DE_CHOIX

//--------------------------------------------------------------------
CATEGORIE_DE_CHOIX	3
	88950051	//SA20_R_24VDC
	88950052	//SA20_S_24VDC
	88950053	//SA20_R_100-240VAC
	88950054	//SA20_R_24VAC
	88950055	//SA20_R_12VDC
	88950056	//SA20_S_12VDC
	88950059	//SA20_RN_24VDC
	
FIN_CATEGORIE_DE_CHOIX

//--------------------------------------------------------------------
CATEGORIE_DE_CHOIX	4
	88950031	//EC20_R_24VDC
	88950032	//EC20_S_24VDC
	88950033	//EC20_R_100-240VAC
	88950034	//EC20_R_24VAC
	88950035	//EC20_R_12VDC
	88950036	//EC20_S_12VDC
	88950039	//EC20_RN_24VDC
	
FIN_CATEGORIE_DE_CHOIX

//--------------------------------------------------------------------
CATEGORIE_DE_CHOIX	5
	88950061	//XT20_R_24VDC 
	88950062	//XT20_S_24VDC
	88950063	//XT20_R_100-240VAC
	88950064	//XT20_R_24VAC
	88950065	//XT20_R_12VDC 
	88950066	//XT20_S_12VDC
	88950069	//XT20_RN_24VDC
FIN_CATEGORIE_DE_CHOIX

//--------------------------------------------------------------------
CATEGORIE_DE_CHOIX 6
	88950001	//CN12_R_24VDC
	88950002	//CN12_S_24VDC
	88950003	//CN12_R_100-240VAC
	88950004	//CN12_R_24VAC
	88950005	//CN12_R_12VDC
	88950006	//CN12_S_12VDC
	88950009	//CN12_RN_24VDC
	88950011	//CN20_R_24VDC
	88950012	//CN20_S_24VDC
	88950013	//CN20_R_100-240VAC
	88950014	//CN20_R_24VAC
	88950015	//CN20_R_12VDC
	88950016	//CN20_S_12VDC
	88950019	//CN20_RN_24VDC
	88950817	//CN28_R_100-240VAC	//V 2.99
	88950831	//EX20_R_24VDC 
	88950832	//EX20_S_24VDC
	88950833	//EX20_R_100-240VAC
	88950834	//EX20_R_24VAC
	88950839	//EX20_RN_24VDC
	88950836	//EX20_R_12VDC			//V 2.98
	88950837	//EX20_S_12VDC			//V 2.98
	88950880	//SA_4R_24VDC-MOTOR-DRIVE 	//V 2.98
	88950881	//SA_4R2T_24VDC-MOTOR-DRIVE	//V 2.98
	88950431	//EC_4R2T_24VDC-CLIMA+		//V 2.98
	88950411	//CN_4R2T_24VDC-CLIMA+		//V 2.98
FIN_CATEGORIE_DE_CHOIX
FIN_CATALOGUE_DES_CATEGORIES_DE_CHOIX_M2
//********************************************************************

CATALOGUE_DES_CONTROLEURS_M2

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950005		32			//CN12_R_12VDC
	88950025		32			//EC12_R_12VDC
	88950045		26			//SA12_R_12VDC
FIN_EQUIVALENTS
DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD
				0	1.0
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI/AI	TOR S16
			I6-DI/AI	TOR S16
			I7-DI/AI	TOR S16
			I8-DI/AI	TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-NO_RELAY		TOR
			O2-NO_RELAY		TOR
			O3-NO_RELAY		TOR
			O4-SPDT_RELAY	TOR
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES              
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES              
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS
	DEBUT_RESSOURCES
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES

	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6		2.1.0 	DC27_12VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES
	FIN_MODEFONC
FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950001		10			//CN12_R_24VDC
	88950021		10			//EC12_R_24VDC
	88950041		1			//SA12_R_24VDC
FIN_EQUIVALENTS
DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD
				0	1.0
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI/AI	TOR S16
			I6-DI/AI	TOR S16
			I7-DI/AI	TOR S16
			I8-DI/AI	TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-NO_RELAY		TOR
			O2-NO_RELAY		TOR
			O3-NO_RELAY		TOR
			O4-SPDT_RELAY	TOR
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES              
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES              
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS
	DEBUT_RESSOURCES
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES

	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6		2.1.0 	DC27_24VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES
	FIN_MODEFONC
FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE  NINTERNE	 NOM
	88950880	    130	//SA_4R_24VDC-MOTOR-DRIVE //V 2.98
FIN_EQUIVALENTS
DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD
				0	1.0
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI/AI	TOR S16
			I6-DI/AI	TOR S16
			I7-DI/AI	TOR S16
			I8-DI/AI	TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-NO_RELAY		TOR
			O2-NO_RELAY		TOR
			O3-SPDT_RELAY	TOR
			O4-SPDT_RELAY	TOR
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES              
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES              
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS
	DEBUT_RESSOURCES
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES

	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6		2.1.0 	DC27_24VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES
	FIN_MODEFONC
FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950006		33			//CN12_S_12VDC
	88950026		33			//EC12_S_12VDC
	88950046		27			//SA12_S_12VDC
FIN_EQUIVALENTS
DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD
				0	1.0
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI/AI	TOR S16
			I6-DI/AI	TOR S16
			I7-DI/AI	TOR S16
			I8-DI/AI	TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-PWM/DO	TOR S16
			O2-PWM/DO	TOR S16
			O3-PWM/DO	TOR S16
			O4-PWM/DO	TOR S16
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES              
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES              
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS
	DEBUT_RESSOURCES
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES
	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 	2.1.0 	DC27_12VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES
	FIN_MODEFONC
FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950002		11			//CN12_S_24VDC
	88950022		11			//EC12_S_24VDC
	88950042		2			//SA12_S_24VDC
FIN_EQUIVALENTS
DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD
				0	1.0
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI/AI	TOR S16
			I6-DI/AI	TOR S16
			I7-DI/AI	TOR S16
			I8-DI/AI	TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-PWM/DO	TOR S16
			O2-PWM/DO	TOR S16
			O3-PWM/DO	TOR S16
			O4-PWM/DO	TOR S16
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES              
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES              
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS
	DEBUT_RESSOURCES
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES
	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 	2.1.0 	DC27_24VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES
	FIN_MODEFONC
FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950009		19			//CN12_RN_24VDC
	88950029		19			//EC12_RN_24VDC
	88950049		16			//SA12_RN_24VDC
FIN_EQUIVALENTS
DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD
				0	1.0
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI_N 	TOR
			I2-DI_N 	TOR
			I3-DI_N		TOR
			I4-DI_N		TOR
			I5-DI_N		TOR
			I6-DI_N		TOR
			I7-DI/AI	TOR S16
			I8-DI/AI	TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-NO_RELAY		TOR
			O2-NO_RELAY		TOR
			O3-NO_RELAY		TOR
			O4-SPDT_RELAY	TOR
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES              
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES              
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS
	DEBUT_RESSOURCES
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES

	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 	2.1.0 	DC27_24VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES
	FIN_MODEFONC
FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950003		12			//CN12_R_100-240VAC
	88950023		12			//EC12_R_100-240VAC
	88950043		3			//SA12_R_100-240VAC
	88950004		24			//CN12_R_24VAC
	88950024		24			//EC12_R_24VAC
	88950044		21			//SA12_R_24VAC
	88950835		129			//SA12_R_24VAC_LEVEL_CONTROL
FIN_EQUIVALENTS
DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD
				0	1.0
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 	TOR
			I2-DI 	TOR
			I3-DI	TOR
			I4-DI	TOR
			I5-DI	TOR
			I6-DI	TOR
			I7-DI	TOR
			I8-DI	TOR
		FIN_ENTREES
		SORTIES SEPAREES
			O1-NO_RELAY		TOR
			O2-NO_RELAY		TOR
			O3-NO_RELAY		TOR
			O4-SPDT_RELAY	TOR
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES              
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES              
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS
	DEBUT_RESSOURCES
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES
	DEBUT_MODEFONC 1 //mode normal 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 		2.1.0 		DC27_VAC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES 
			530 INTERDIT 0 //Compteur rapide
			531 INTERDIT 0 
			532 INTERDIT 0 
			533 INTERDIT 0 
			534 INTERDIT 0 
		FIN_BLOCS_REMARQUABLES 
	FIN_MODEFONC
	
FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950015		34			//CN20_R_12VDC
	88950035		34			//EC20_R_12VDC
	88950055		28			//SA20_R_12VDC
FIN_EQUIVALENTS
DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD
				0	1.0
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI/AI	TOR S16
			I6-DI/AI	TOR S16
			I7-DI/AI	TOR S16
			I8-DI/AI	TOR S16
			I9-DI/AI    TOR S16
			I10-DI/AI   TOR S16
			I11-DI/AI   TOR S16
			I12-DI/AI   TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-SPDT_RELAY	TOR
			O2-NO_RELAY		TOR
			O3-NO_RELAY		TOR
			O4-NO_RELAY		TOR
			O5-NO_RELAY		TOR
			O6-NO_RELAY		TOR
			O7-NO_RELAY		TOR
			O8-NO_RELAY		TOR
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES              
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES              
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS
	DEBUT_RESSOURCES
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES

	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 	2.1.0 	DC27_12VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES
	FIN_MODEFONC
FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950011		13			//CN20_R_24VDC
	88950031		13			//EC20_R_24VDC
	88950051		4			//SA20_R_24VDC
FIN_EQUIVALENTS
DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD
				0	1.0
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI/AI	TOR S16
			I6-DI/AI	TOR S16
			I7-DI/AI	TOR S16
			I8-DI/AI	TOR S16
			I9-DI/AI    TOR S16
			I10-DI/AI   TOR S16
			I11-DI/AI   TOR S16
			I12-DI/AI   TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-SPDT_RELAY	TOR
			O2-NO_RELAY		TOR
			O3-NO_RELAY		TOR
			O4-NO_RELAY		TOR
			O5-NO_RELAY		TOR
			O6-NO_RELAY		TOR
			O7-NO_RELAY		TOR
			O8-NO_RELAY		TOR
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES              
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES              
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS
	DEBUT_RESSOURCES
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES

	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 	2.1.0 	DC27_24VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES
	FIN_MODEFONC
FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE NINTERNE	 NOM
	88950411	   132	 //CN_4R2T_24VDC-CLIMA+		//V 2.98
	88950431	   132	 //EC_4R2T_24VDC-CLIMA+		//V 2.98
	88950881	   131	 //SA_4R2T_24VDC-MOTOR-DRIVE	//V 2.98
FIN_EQUIVALENTS
DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD
				0	1.0
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 	TOR
			I2-DI 	TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI/AI	TOR S16
			I6-DI/AI	TOR S16
			I7-DI/AI	TOR S16
			I8-DI/AI	TOR S16
			I9-DI/AI    TOR S16
			I10-DI/AI   TOR S16
			I11-DI/AI   TOR S16
			I12-DI/AI   TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-SPDT_RELAY	TOR
			O2-SPDT_RELAY	TOR
			O3-SPDT_RELAY	TOR
			O4-SPDT_RELAY	TOR
			O5-PWM/DO		TOR S16
			O6-PWM/DO		TOR S16
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES              
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES              
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS
	
	DEBUT_RESSOURCES
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES

	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 	2.1.0 	DC27_24VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES
	FIN_MODEFONC
FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950016		35			//CN20_S_12VDC
	88950036		35			//EC20_S_12VDC
	88950056		29			//SA20_S_12VDC
FIN_EQUIVALENTS
DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD
				0	1.0
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI/AI	TOR S16
			I6-DI/AI	TOR S16
			I7-DI/AI	TOR S16
			I8-DI/AI	TOR S16
			I9-DI/AI    TOR S16
			I10-DI/AI   TOR S16
			I11-DI/AI   TOR S16
			I12-DI/AI   TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-PWM/DO    TOR S16
			O2-PWM/DO    TOR S16
			O3-PWM/DO    TOR S16
			O4-PWM/DO    TOR S16
			O5-PWM/DO    TOR S16
			O6-PWM/DO    TOR S16
			O7-DO        TOR 
			O8-DO        TOR
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES              
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES              
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS
	DEBUT_RESSOURCES
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES
	
	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 	2.1.0 	DC27_12VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES
	FIN_MODEFONC
	
FIN_CARACTERISTIQUES
//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950012		14			//CN20_S_24VDC
	88950032		14			//EC20_S_24VDC
	88950052		5			//SA20_S_24VDC
FIN_EQUIVALENTS
DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD
				0	1.0
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI/AI	TOR S16
			I6-DI/AI	TOR S16
			I7-DI/AI	TOR S16
			I8-DI/AI	TOR S16
			I9-DI/AI    TOR S16
			I10-DI/AI   TOR S16
			I11-DI/AI   TOR S16
			I12-DI/AI   TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-PWM/DO    TOR S16
			O2-PWM/DO    TOR S16
			O3-PWM/DO    TOR S16
			O4-PWM/DO    TOR S16
			O5-PWM/DO    TOR S16
			O6-PWM/DO    TOR S16
			O7-DO        TOR 
			O8-DO        TOR
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES              
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES              
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS
	DEBUT_RESSOURCES
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES
	
	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 	2.1.0 	DC27_24VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES
	FIN_MODEFONC
	
FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950019		20			//CN20_RN_24VDC
	88950039		20			//EC20_RN_24VDC
	88950059		17			//SA20_RN_24VDC
FIN_EQUIVALENTS
DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD
				0	1.0
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI		TOR
			I6-DI		TOR
			I7-DI		TOR
			I8-DI		TOR
			I9-DI/AI    TOR S16
			I10-DI/AI   TOR S16
			I11-DI/AI   TOR S16
			I12-DI/AI   TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-SPDT_RELAY	TOR
			O2-NO_RELAY		TOR
			O3-NO_RELAY		TOR
			O4-NO_RELAY		TOR
			O5-NO_RELAY		TOR
			O6-NO_RELAY		TOR
			O7-NO_RELAY		TOR
			O8-NO_RELAY		TOR
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES              
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES              
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS
	DEBUT_RESSOURCES
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES
	
	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 	2.1.0 	DC27_24VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES
	FIN_MODEFONC

FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950013		15			//CN20_R_100-240VAC
	88950033		15			//EC20_R_100-240VAC
	88950053		6			//SA20_R_100-240VAC
	88950014		25			//CN20_R_24VAC
	88950034		25			//EC20_R_24VAC
	88950054		22			//SA20_R_24VAC
FIN_EQUIVALENTS
DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD
				0	1.0
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI		TOR
			I6-DI		TOR
			I7-DI		TOR
			I8-DI		TOR
			I9-DI	    TOR
			I10-DI	  	TOR
			I11-DI	  	TOR
			I12-DI	  	TOR
		FIN_ENTREES
		SORTIES SEPAREES
			O1-SPDT_RELAY	TOR
			O2-NO_RELAY		TOR
			O3-NO_RELAY		TOR
			O4-NO_RELAY		TOR
			O5-NO_RELAY		TOR
			O6-NO_RELAY		TOR
			O7-NO_RELAY		TOR
			O8-NO_RELAY		TOR
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES              
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES              
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS
	DEBUT_RESSOURCES
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES
	
	DEBUT_MODEFONC 1 //mode normal 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 		2.1.0 		DC27_VAC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES 
			530 INTERDIT 0 //Compteur rapide
			531 INTERDIT 0 
			532 INTERDIT 0 
			533 INTERDIT 0 
			534 INTERDIT 0 
		FIN_BLOCS_REMARQUABLES 
	FIN_MODEFONC

FIN_CARACTERISTIQUES


//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950061		7			//XT20_R_24VDC
	88950831		36			//EX20_R_24VDC
FIN_EQUIVALENTS

DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD,
		0		1.0

	//Le bloc connexions peut tre considr comme purement matriel
	//avec des ajustements possibles par les diffrents modes de fonctionnement
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI/AI	TOR S16
			I6-DI/AI	TOR S16
			I7-DI/AI	TOR S16
			I8-DI/AI	TOR S16
			I9-DI/AI    TOR S16
			I10-DI/AI   TOR S16
			I11-DI/AI   TOR S16
			I12-DI/AI   TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-SPDT_RELAY	TOR
			O2-NO_RELAY		TOR
			O3-NO_RELAY		TOR
			O4-NO_RELAY		TOR
			O5-NO_RELAY		TOR
			O6-NO_RELAY		TOR
			O7-NO_RELAY		TOR
			O8-NO_RELAY		TOR 
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
			88950200	//XL01_M2-M2
			88950204	//XL05_4S
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES
			88950210	//XC01_4E/2S_24VDC
			88950213	//XC02_AS-i_24VDC
			88950214	//XC03_MODBUS_24VDC
			88950823	//XC04_MODBUS_24VDC
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES
			NOMBRE_EXTENSIONS_DISTANTES_EN_PARALLELE	2
			NOMBRE_EXTENSIONS_M2_EN_PARALLELE			1
			88950XXX 	//XD0_XT20 : XT20 QUELCONQUE
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS

	DEBUT_RESSOURCES  
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES 	

	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 	2.1.0 	DC27_24VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES 
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES 
	FIN_MODEFONC
	
FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950062		8			//XT20_S_24VDC
	88950832		37			//EX20_S_24VDC
FIN_EQUIVALENTS

DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD,
		0		1.0

	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI/AI	TOR S16
			I6-DI/AI	TOR S16
			I7-DI/AI	TOR S16
			I8-DI/AI	TOR S16
			I9-DI/AI    TOR S16
			I10-DI/AI   TOR S16
			I11-DI/AI   TOR S16
			I12-DI/AI   TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-PWM/DO    TOR S16
			O2-PWM/DO    TOR S16
			O3-PWM/DO    TOR S16
			O4-PWM/DO    TOR S16
			O5-PWM/DO    TOR S16
			O6-PWM/DO    TOR S16
			O7-DO        TOR 
			O8-DO        TOR 
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
			88950200	//XL01_M2-M2
			88950204	//XL05_4S
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES
			88950210	//XC01_4E/2S_24VDC
			88950213	//XC02_AS-i_24VDC
			88950214	//XC03_MODBUS_24VDC
			88950823	//XC04_MODBUS_24VDC
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES
			NOMBRE_EXTENSIONS_DISTANTES_EN_PARALLELE	2
			NOMBRE_EXTENSIONS_M2_EN_PARALLELE			1
			88950XXX 	//XD0_XT20 : XT20 QUELCONQUE
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS

	DEBUT_RESSOURCES  
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES 	

	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 	2.1.0 	DC27_24VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES 
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES 
	FIN_MODEFONC

FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950063		9			//XT20_R_100-240VAC
	88950833		38			//EX20_R_100-240VAC
FIN_EQUIVALENTS

DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD,
		0		1.0

	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI		TOR
			I6-DI		TOR
			I7-DI		TOR
			I8-DI		TOR
			I9-DI	    TOR
			I10-DI	  	TOR
			I11-DI	  	TOR
			I12-DI	  	TOR
		FIN_ENTREES
		SORTIES SEPAREES
			O1-SPDT_RELAY	TOR
			O2-NO_RELAY		TOR
			O3-NO_RELAY		TOR
			O4-NO_RELAY		TOR
			O5-NO_RELAY		TOR
			O6-NO_RELAY		TOR
			O7-NO_RELAY		TOR
			O8-NO_RELAY		TOR 
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
			88950200	//XL01_M2-M2
			88950204	//XL05_4S
			88950810	//XL06_2S
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES
			88950212	//XC01_4E/2S_100-240VAC
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES
			NOMBRE_EXTENSIONS_DISTANTES_EN_PARALLELE	2
			NOMBRE_EXTENSIONS_M2_EN_PARALLELE			1
			88950XXX 	//XD0_XT20 : XT20 QUELCONQUE
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS

	DEBUT_RESSOURCES  
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES 	

	DEBUT_MODEFONC 1 //mode normal 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 	2.1.0 	DC27_VAC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES 
			530 INTERDIT 0 //Compteur rapide
			531 INTERDIT 0 
			532 INTERDIT 0 
			533 INTERDIT 0 
			534 INTERDIT 0 
		FIN_BLOCS_REMARQUABLES 
	FIN_MODEFONC

FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950064 		23			//XT20_R_24VAC
	88950834 		39			//EX20_R_24VAC
FIN_EQUIVALENTS

DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD,
		0		1.0

	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI		TOR
			I6-DI		TOR
			I7-DI		TOR
			I8-DI		TOR
			I9-DI	    TOR
			I10-DI	  	TOR
			I11-DI	  	TOR
			I12-DI	  	TOR
		FIN_ENTREES
		SORTIES SEPAREES
			O1-SPDT_RELAY	TOR
			O2-NO_RELAY		TOR
			O3-NO_RELAY		TOR
			O4-NO_RELAY		TOR
			O5-NO_RELAY		TOR
			O6-NO_RELAY		TOR
			O7-NO_RELAY		TOR
			O8-NO_RELAY		TOR 
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
			88950200	//XL01_M2-M2
			88950204	//XL05_4S
			88950810	//XL06_2S	//V 2.98
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES
			88950211	//XC01_4E/2S_24VAC
			88950213	//XC02_AS-i_24VAC			
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES
			NOMBRE_EXTENSIONS_DISTANTES_EN_PARALLELE	2
			NOMBRE_EXTENSIONS_M2_EN_PARALLELE			1
			88950XXX 	//XD0_XT20 : XT20 QUELCONQUE
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS

	DEBUT_RESSOURCES  
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES 	

	DEBUT_MODEFONC 1 //mode normal 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 	2.1.0 	DC27_VAC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES 
			530 INTERDIT 0 //Compteur rapide
			531 INTERDIT 0 
			532 INTERDIT 0 
			533 INTERDIT 0 
			534 INTERDIT 0 
		FIN_BLOCS_REMARQUABLES 
	FIN_MODEFONC

FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950065		30			//XT20_R_12VDC
	88950836		134			//EX20_R_12VDC	//V 2.98
FIN_EQUIVALENTS

DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD,
		0		1.0
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI/AI	TOR S16
			I6-DI/AI	TOR S16
			I7-DI/AI	TOR S16
			I8-DI/AI	TOR S16
			I9-DI/AI    TOR S16
			I10-DI/AI   TOR S16
			I11-DI/AI   TOR S16
			I12-DI/AI   TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-SPDT_RELAY	TOR
			O2-NO_RELAY		TOR
			O3-NO_RELAY		TOR
			O4-NO_RELAY		TOR
			O5-NO_RELAY		TOR
			O6-NO_RELAY		TOR
			O7-NO_RELAY		TOR
			O8-NO_RELAY		TOR 
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
			88950200	//XL01_M2-M2
			88950204	//XL05_4S
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES
			88950215	//XC01_4E/2S_12VDC
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES
			NOMBRE_EXTENSIONS_DISTANTES_EN_PARALLELE	2
			NOMBRE_EXTENSIONS_M2_EN_PARALLELE			1
			88950XXX 	//XD0_XT20 : XT20 QUELCONQUE
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS
	DEBUT_RESSOURCES  
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES

	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 	2.1.0 	DC27_12VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES 
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES 
	FIN_MODEFONC

FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950066		31			//XT20_S_12VDC
	88950837		133			//EX20_S_12VDC	//V 2.98
FIN_EQUIVALENTS

DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD,
		0		1.0

	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI/AI	TOR S16
			I6-DI/AI	TOR S16
			I7-DI/AI	TOR S16
			I8-DI/AI	TOR S16
			I9-DI/AI    TOR S16
			I10-DI/AI   TOR S16
			I11-DI/AI   TOR S16
			I12-DI/AI   TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-PWM/DO    TOR S16
			O2-PWM/DO    TOR S16
			O3-PWM/DO    TOR S16
			O4-PWM/DO    TOR S16
			O5-PWM/DO    TOR S16
			O6-PWM/DO    TOR S16
			O7-DO        TOR 
			O8-DO        TOR 
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
			88950200	//XL01_M2-M2
			88950204	//XL05_4S
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES
			88950215	//XC01_4E/2S_12VDC
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES
			NOMBRE_EXTENSIONS_DISTANTES_EN_PARALLELE	2
			NOMBRE_EXTENSIONS_M2_EN_PARALLELE			1
			88950XXX 	//XD0_XT20 : XT20 QUELCONQUE
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS

	DEBUT_RESSOURCES  
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES 	

	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 	2.1.0 	DC27_12VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES 
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES 
	FIN_MODEFONC

FIN_CARACTERISTIQUES

//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950069		18			//XT20_RN_24VDC
	88950839		40			//XT20_RN_24VDC
FIN_EQUIVALENTS

DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD,
		0		1.0

	//Le bloc connexions peut tre considr comme purement matriel
	//avec des ajustements possibles par les diffrents modes de fonctionnement
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI		TOR
			I6-DI		TOR
			I7-DI		TOR
			I8-DI		TOR
			I9-DI/AI    TOR S16
			I10-DI/AI   TOR S16
			I11-DI/AI   TOR S16
			I12-DI/AI   TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-SPDT_RELAY	TOR
			O2-NO_RELAY		TOR
			O3-NO_RELAY		TOR
			O4-NO_RELAY		TOR
			O5-NO_RELAY		TOR
			O6-NO_RELAY		TOR
			O7-NO_RELAY		TOR
			O8-NO_RELAY		TOR 
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
			88950200	//XL01_M2-M2
			88950204	//XL05_4S
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES
			88950219	//XC01_4EN/2S_24VDC
			88950213	//XC02_AS-i_24VDC
			88950214	//XC03_MODBUS_24VDC
			88950823	//XC04_MODBUS_24VDC
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES
			NOMBRE_EXTENSIONS_DISTANTES_EN_PARALLELE	2
			NOMBRE_EXTENSIONS_M2_EN_PARALLELE			1
			88950XXX 	//XD0_XT20 : XT20 QUELCONQUE
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS
	DEBUT_RESSOURCES  
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES 	

	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 	2.1.0 	DC27_24VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES 
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES 
	FIN_MODEFONC

FIN_CARACTERISTIQUES

//modif V 2.99
//CONTROLEURS---------------------------------------------------------
DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950817		135			//CN20_R_100-240VAC	
FIN_EQUIVALENTS
DEBUT_CARACTERISTIQUES
//COMPATIBILITE BIN, V.R HARD
				0	1.0
	DEBUT_CONNEXIONS
		ENTREES SEPAREES
			I1-DI 		TOR
			I2-DI 		TOR
			I3-DI		TOR
			I4-DI		TOR
			I5-DI/AI	TOR S16
			I6-DI/AI	TOR S16
			I7-DI/AI	TOR S16
			I8-DI/AI	TOR S16
			I9-DI/AI    TOR S16
			I10-DI/AI   TOR S16
			I11-DI/AI   TOR S16
			I12-DI/AI   TOR S16
		FIN_ENTREES
		SORTIES SEPAREES
			O1-NO_RELAY		TOR
			O2-NO_RELAY		TOR
			O3-NO_RELAY		TOR
			O4-NO_RELAY		TOR
			O5-NO_RELAY		TOR
			O6-NO_RELAY		TOR
			O7-NO_RELAY		TOR
			O8-NO_RELAY		TOR
			O9-NO_RELAY		TOR
			O10-NO_RELAY		TOR
			O11-NO_RELAY		TOR
			O12-NO_RELAY		TOR
			O13-NO_RELAY		TOR
			O14-NO_RELAY		TOR
			O15-NO_RELAY		TOR
			O16-NO_RELAY		TOR
		FIN_SORTIES
		EXTENSIONS_LOCALES_COMPATIBLES
		FIN_EXTENSIONS_LOCALES 
		EXTENSIONS_CONTIGUES_COMPATIBLES              
		FIN_EXTENSIONS_CONTIGUES
		EXTENSIONS_DISTANTES_COMPATIBLES              
		FIN_EXTENSIONS_DISTANTES
	FIN_CONNEXIONS
	DEBUT_RESSOURCES
		CONTRAINTES_MEMOIRES
			PARAMETRES					768		U16
			DONNEES_SORTIES_SUR_BIT     256		U8
			DONNEES_SORTIES_SUR_BYTE    128		U16
			DONNEES_VI_BIT              128		U8
			DONNEES_VI_BYTE             64		U16
			PROGRAMME_BYTE				1024
			PROGRAMME_INIT_BYTE         1024 
			NB_SLOTS_METIER				8  
			LITTLE_ENDIAN				NO
			TAILLE_FLASH				256
		FIN_CONTRAINTES_MEMOIRES
		PERFORMANCES_D_EXECUTION
			CYCLE_TOTAL			10
			COEF_MAX			5
			CYCLE_DISPO			8
			CATEG_PERF			1
		FIN_PERFORMANCES_D_EXECUTION
	FIN_RESSOURCES

	DEBUT_MODEFONC 2 //mode compteur rapide 
	// V.R SOFT, V.I.R DC51, RACINE NOM BIN
		1.6 	2.1.0 	DC27_12VDC
		DEBUT_ES_REMARQUABLES
		FIN_ES_REMARQUABLES
		DEBUT_EXT_REMARQUABLES
		FIN_EXT_REMARQUABLES
		DEBUT_MEMOIRES_REMARQUABLES
		FIN_MEMOIRES_REMARQUABLES
		DEBUT_PERFORMANCES_REMARQUABLES
		FIN_PERFORMANCES_REMARQUABLES
		DEBUT_BLOCS_REMARQUABLES
			530 LIMITE 1 //Compteur rapide
			531 LIMITE 1
			532 LIMITE 1
			533 LIMITE 1
			534 LIMITE 1
		FIN_BLOCS_REMARQUABLES
	FIN_MODEFONC
FIN_CARACTERISTIQUES



FIN_CATALOGUE_M2

//********************************************************************

CATALOGUE_DES_EXTENSIONS

	DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950200		1			//XL01_M2-M2
	FIN_EQUIVALENTS
	DEBUT_CARACTERISTIQUES
	//TYPE, NUMGEN FCT EXTENSION, V.R HARD, V.R SOFT
      	XL	0    				1.0      1.0
		ENTREES SEPAREES
		FIN_ENTREES
		SORTIES SEPAREES
		FIN_SORTIES
	FIN_CARACTERISTIQUES
	
//EXTENSIONS----------------------------------------------------------
	DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950204		2			//XL05_4S
	FIN_EQUIVALENTS
	DEBUT_CARACTERISTIQUES
	//TYPE, NUMGEN FCT EXTENSION, V.R HARD, V.R SOFT
      	XL	0    				1.0      1.0
		ENTREES SEPAREES
		FIN_ENTREES
		SORTIES SEPAREES
			O1-4O_DO	TOR
			O2-4O_DO	TOR
			O3-4O_DO	TOR
			O4-4O_DO	TOR
		FIN_SORTIES
	FIN_CARACTERISTIQUES
	
//EXTENSIONS----------------------------------------------------------
	DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950810		6			//XL06_2S
	FIN_EQUIVALENTS
	DEBUT_CARACTERISTIQUES
	//TYPE, NUMGEN FCT EXTENSION, V.R HARD, V.R SOFT
      	XL	0    				1.0      1.0
		ENTREES SEPAREES
		FIN_ENTREES
		SORTIES SEPAREES
			O1-2O_NO_relay	TOR
			O2-2O_NO_relay	TOR
		FIN_SORTIES
	FIN_CARACTERISTIQUES
	
//EXTENSIONS----------------------------------------------------------
	DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950210		1			//XC01_4E/2S_24VDC
	88950211		1			//XC01_4E/2S_24VAC
	88950212		1			//XC01_4E/2S_100-230VAC
	88950215		1			//XC01_4E/2S_12VDC
	88950219		1			//XC01_4EN/2S_24VDC
	FIN_EQUIVALENTS
	DEBUT_CARACTERISTIQUES
	//TYPE, NUMGEN FCT EXTENSION, V.R HARD, V.R SOFT
      	XC	0    				1.0      1.0
		ENTREES SEPAREES
			I1-4I/2O_DI		TOR
			I2-4I/2O_DI		TOR
			I3-4I/2O_DI		TOR
			I4-4I/2O_DI		TOR
		FIN_ENTREES
		SORTIES SEPAREES
			O1-4I/2O_NO_relay	TOR
			O2_4I/2O_NO_relay	TOR
		FIN_SORTIES
	FIN_CARACTERISTIQUES
	
//EXTENSIONS----------------------------------------------------------
	DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950213		7			//XC02_AS-i_24VDC
	FIN_EQUIVALENTS
	DEBUT_CARACTERISTIQUES
	//TYPE, NUMGEN FCT EXTENSION, V.R HARD, V.R SOFT
      	XC	0    				1.0      1.0
		ENTREES EN_BARETTE
			I1-ASi_BIT	TOR
			I2-ASi_BIT	TOR
			I3-ASi_BIT	TOR
			I4-ASi_BIT	TOR
			S1-ASi_BIT	TOR
		FIN_ENTREES
		SORTIES EN_BARETTE
			O1-ASi_BIT	TOR
			O2-ASi_BIT	TOR
			O3-ASi_BIT	TOR
			O4-ASi_BIT	TOR
			C1-ASi_BIT	TOR
//			P1-ASi_BIT	TOR        RADE 369 
		FIN_SORTIES
	FIN_CARACTERISTIQUES


//EXTENSIONS----------------------------------------------------------
	DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950214		2			//XC03_MODBUS_24VDC
	FIN_EQUIVALENTS
	DEBUT_CARACTERISTIQUES
	//TYPE, NUMGEN FCT EXTENSION, V.R HARD, V.R SOFT
      	XC 360    				1.0      1.0
		ENTREES EN_BARETTE
			I1-MODBUS_BIT		TOR
			I2-MODBUS_BIT 		TOR
			I3-MODBUS_BIT		TOR
			I4-MODBUS_BIT		TOR
			I5-MODBUS_BIT		TOR
			I6-MODBUS_BIT		TOR
			I7-MODBUS_BIT		TOR
			I8-MODBUS_BIT		TOR
			I9-MODBUS_INTEGER   S16
			I10-MODBUS_INTEGER  S16
			I11-MODBUS_INTEGER	S16
		FIN_ENTREES
		SORTIES EN_BARETTE
			O1-MODBUS_BIT		TOR
			O2-MODBUS_BIT 		TOR
			O3-MODBUS_BIT		TOR
			O4-MODBUS_BIT		TOR
			O5-MODBUS_BIT		TOR
			O6-MODBUS_BIT		TOR
			O7-MODBUS_BIT		TOR
			O8-MODBUS_BIT		TOR
			O9-MODBUS_INTEGER   S16
			O10-MODBUS_INTEGER  S16
			O11-MODBUS_INTEGER	S16
		FIN_SORTIES
	FIN_CARACTERISTIQUES

//nouveau modbus
//EXTENSIONS----------------------------------------------------------
	DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950823		6			//XC04_MODBUS_24VDC
	FIN_EQUIVALENTS
	DEBUT_CARACTERISTIQUES
	//TYPE, NUMGEN FCT EXTENSION, V.R HARD, V.R SOFT
      	XC 360    				1.0      1.0
		ENTREES EN_BARETTE
			I1-MODBUS_BIT		TOR
			I2-MODBUS_BIT 		TOR
			I3-MODBUS_BIT		TOR
			I4-MODBUS_BIT		TOR
			I5-MODBUS_BIT		TOR
			I6-MODBUS_BIT		TOR
			I7-MODBUS_BIT		TOR
			I8-MODBUS_BIT		TOR
			I9-MODBUS_INTEGER   S16
			I10-MODBUS_INTEGER  S16
			I11-MODBUS_INTEGER	S16
		FIN_ENTREES
		SORTIES EN_BARETTE
			O1-MODBUS_BIT		TOR
			O2-MODBUS_BIT 		TOR
			O3-MODBUS_BIT		TOR
			O4-MODBUS_BIT		TOR
			O5-MODBUS_BIT		TOR
			O6-MODBUS_BIT		TOR
			O7-MODBUS_BIT		TOR
			O8-MODBUS_BIT		TOR
			O9-MODBUS_INTEGER   S16
			O10-MODBUS_INTEGER  S16
			O11-MODBUS_INTEGER	S16
		FIN_SORTIES
	FIN_CARACTERISTIQUES	
//EXTENSIONS----------------------------------------------------------
	DEBUT_EQUIVALENTS
	//N CATALOGUE	NINTERNE	 NOM
	88950XXX		255			//XD0_XT20 : XT20 QUELCONQUE
	FIN_EQUIVALENTS
	DEBUT_CARACTERISTIQUES
	//TYPE, NUMGEN FCT EXTENSION, V.R HARD, V.R SOFT
      	XD 0    				1.0      1.0
		ENTREES EN_BARETTE
			I1-XT20_BIT		TOR
			I2-XT20_BIT 	TOR
			I3-XT20_BIT		TOR
			I4-XT20_BIT		TOR
			I5-XT20_BIT		TOR
			I6-XT20_BIT		TOR
			I7-XT20_BIT		TOR
			I8-XT20_BIT		TOR
			I9-XT20_INTEGER		S16
			I10-XT20_INTEGER	S16
			I11-XT20_INTEGER	S16
		FIN_ENTREES
		SORTIES EN_BARETTE
			O1-XT20_BIT		TOR
			O2-XT20_BIT 	TOR
			O3-XT20_BIT		TOR
			O4-XT20_BIT		TOR
			O5-XT20_BIT		TOR
			O6-XT20_BIT		TOR
			O7-XT20_BIT		TOR
			O8-XT20_BIT		TOR
			O9-XT20_INTEGER   	S16
			O10-XT20_INTEGER  	S16
			O11-XT20_INTEGER	S16
		FIN_SORTIES
	FIN_CARACTERISTIQUES
	
FIN_CATALOGUE_EXTENSION

//********************************************************************

CATALOGUE_DES_PERFORMANCES_M2
	CATEGORIE_PERFORMANCE    1
//NOM FONCTION DC27, NUMGEN, V.R SOFT, V.I.R DC51,TEMPS MICROSECONDES
		FBD_ALT                    1      1.6  2.1.0  68
		FBD_AND                    2      1.6  2.1.0  68
		FBD_BOOLEAN                3      1.6  2.1.0  142
		FBD_COMPARE                4      1.6  2.1.0  66
		FBD_COUNTER                5      1.6  2.1.0  185
		FBD_DELAY                  6      1.6  2.1.0  126  
		FBD_DISPLAY                7      1.6  2.1.0  29
		FBD_FLICKER                8      1.6  2.1.0  182
		FBD_GAIN                   9      1.6  2.1.0  425
		FBD_H_METER                10      1.6  2.1.0 138
		FBD_INIT_CONST_A           11      1.6 2.1.0  1
		FBD_INIT_CONST_B           12      1.6  2.1.0  1
		FBD_INIT_CONST_C           13      1.6  2.1.0  1
		FBD_INIT_CONST_D           14      1.6  2.1.0  1
		FBD_INIT_CONST_M_A         15      1.6  2.1.0  1
		FBD_INIT_CONST_M_B         16      1.6  2.1.0  1
		FBD_INIT_CONST_M_C         17      1.6  2.1.0  1
		FBD_INIT_CONST_M_D         18      1.6  2.1.0  1
		FBD_INIT_VAR_A             19      1.6  2.1.0  1
		FBD_INIT_VAR_M_A           20      1.6  2.1.0  1
		FBD_NAND                   21      1.6  2.1.0  69
		FBD_NOR                    22      1.6  2.1.0  70
		FBD_NOT                    23      1.6  2.1.0  30
		FBD_ONESHOT                24      1.6  2.1.0  111
		FBD_OR                     25      1.6  2.1.0  71
		FBD_PULSE                  26      1.6  2.1.0  59
		FBD_SCHMITT                27      1.6  2.1.0  70
		FBD_SET_RESET              28      1.6  2.1.0  49
		FBD_TIME_SW                29      1.6  2.1.0  2500
		FBD_XOR                    31      1.6  2.1.0  40
		FBD_ZONE_CMP               32      1.6  2.1.0  62
		FBD_IN_ANA                 33      1.6  2.1.0  360
		FBD_IN_ANA_F               34      1.6  2.1.0  420
		FBD_IN_TOR                 35      1.6  2.1.0  35
		FBD_IN_TOR_F               36      1.6  2.1.0  50
		FBD_OUT_PWM                37      1.6  2.1.0  39
		FBD_OUT_TOR                38      1.6  2.1.0  38
		FBD_IN_C_ON                39      1.6  2.1.0  23
		FBD_IN_C_OFF               40      1.6  2.1.0  23
		SFC_INIT_JETON             41      1.6  2.1.0  1
		SFC_RESETABLE_INITIAL_STEP 42      1.6  2.1.0  91
		SFC_INITIAL_STEP           43      1.6  2.1.0  80      
		SFC_STEP                   44      1.6  2.1.0  79      
		SFC_STEP_DIVOR_2           45      1.6  2.1.0  99      
		SFC_CONV_OR_2              46      1.6  2.1.0  60
		SFC_DIV_AND_2              47      1.6  2.1.0  53      
		SFC_STEP_CONV_AND_2        48      1.6  2.1.0  172      
		FBD_IN_CONST               49      1.6  2.1.0  29      
		FBD_IN_1_SEC               50      1.6  2.1.0  48      
		FBD_IN_BT_A                51      1.6  2.1.0  25      
		FBD_IN_BT_B                52      1.6  2.1.0  25
		FBD_OUT_BACKLIGHT          53      1.6  2.1.0  34
		FBD_IN_BT_OK               54      1.6  2.1.0  22
		FBD_IN_BT_ESC              55      1.6  2.1.0  22
		FBD_IN_BT_PLUS             56      1.6  2.1.0  22
		FBD_IN_BT_MOINS            57      1.6  2.1.0  22
		FBD_MULTIPLEX              58      1.6  2.1.0  40
		FBD_IN_ETE_HIVER           59      1.6  2.1.0  18
		FBD_INTEGER_IN             60      1.6  2.1.0  31
		FBD_INTEGER_OUT            61      1.6  2.1.0  31

FIN_CATALOGUE_PERFORMANCES

//********************************************************************
// FIN DU CATALOGUE